using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Data;
using System.Windows.Media;
using System.Windows.Media.Imaging;

namespace AIStudio.Wpf.DiagramDesigner
{
    [ValueConversion(typeof(List<Point>), typeof(PointCollection))]
    public class ConnectionPointConverter : IValueConverter
    {
        static ConnectionPointConverter()
        {
            Instance = new ConnectionPointConverter();
        }

        public static ConnectionPointConverter Instance
        {
            get;
            private set;
        }

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            List<Point> points = (List<Point>)value;
            PointCollection pointCollection = new PointCollection();
            if (points != null)
            {
                foreach (var point in points)
                {
                    pointCollection.Add(new Point(point.X, point.Y));
                }
            }
            return pointCollection;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
